Foreman - Bug #4485

Error when cloning a VMware VM in foreman 1.4.1 (works in 1.4)
02/27/2014 09:02 PM - James Jenkins
Description

In Foreman 1.4.1 | am unable to clone an existing VMware vm via foreman.

| think the issue is around having the 'use_shortname_for_vms' option set and the change made in
http://projects.theforeman.org/issues/4234 (this diff
http://projects.theforeman.org/projects/foreman/repository/revisions/130f301a508ae31549145e5fa9b176f42dc20995/diff/app/models/

host/managed.rb)

the fix is to alter line 159:

- name.include?('.") ? name : "#{name}.#{domain}"
+ (name || ").include?('.") ? name : "#{name}.#{domain}"

STR:

1. create a new vmware vm with the 'use_shortname_for_vms' foreman option turned on

2. attempt to clone it

3. clone fails with error: undefined method “include?' for nil:NilClass

trace from production.log:

Operation FAILED: undefined method "include?' for nil:NilClass
/usr/share/foreman/app/models/host/managed.rb:159:in "~ fgdn'
/usr/share/foreman/app/services/classification/base.rb:120:in “attr_to_value'
/usr/share/foreman/app/services/classification/base.rb:104:in “block (2 levels) in path2matches'’
/usr/share/foreman/app/services/classification/base.rb:103:in "map'
/usr/share/foreman/app/services/classification/base.rb:103:in ‘block in path2matches’
/usr/share/foreman/app/services/classification/base.rb:102:in “each'
/usr/share/foreman/app/services/classification/base.rb:102:in “path2matches’
/usr/share/foreman/app/services/classification/base.rb:54:in “values_hash'

/usr/share/foreman/app/services/classification/base.rb:17:in 'inherited_values'

/usr/share/foreman/app/views/puppetclasses/_class_parameters.html.erb:2:in ' _app_views_puppetclass
es__class_parameters_html_erb_ 4222711169296484307_81717700"

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:145:in “bloc
k in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1
25:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:143:in "rend
er'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:351:in “block in collection_with_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:348:in "each'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:348:in ‘collection_with_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:250:in " render_collection’'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:234:in "block in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_render
er.rb:38:in “block in instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1
23:in “block in instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications/inst
rumenter.rb:20:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1
23:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_render
er.rb:38:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:233:in "render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/renderer.rb:41:
in “render_partial'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/renderer.rb:15:
in “render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/rendering_helper
.rb:24:in "“render'

/usr/share/foreman/app/views/puppetclasses/_classes_parameters.html.erb:12:in ' _app_views_puppetcl
asses__classes_parameters_html_erb 3105195742091516186_81398240"

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:145:in “bloc
k in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1
25:1in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:143:in "rend
er'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:265:in ‘render_partial’

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:238:in “block in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_render
er.rb:38:in "block in instrument'

05/17/2024 2/10




/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1
23:in "block in instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications/inst
rumenter.rb:20:1in "~ instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1
23:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_render
er.rb:38:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:237:in "render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/renderer.rb:41:
in “render_partial'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/rendering_helper
.rb:27:1in "render'

/usr/share/foreman/app/views/hosts/_form.html.erb:96:in “block (2 levels) in _app_views_hosts__ for
m_html_erb_ 1074350891500395035_80027220"'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.r
b:40:in "block in capture'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.r
b:187:in “with_output_buffer'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.r
b:40:in " capture'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/form_helper.rb:6
07:in "~ fields_for'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_view/helpers/form_helper.rb:3
78:in " form_for'

/usr/share/foreman/app/helpers/layout_helper.rb:218:in " form_for'

/usr/share/foreman/app/views/hosts/_form.html.erb:7:in "block in _app_views_hosts__form_html_erb___
1074350891500395035_80027220"

/usr/share/foreman/app/models/taxonomy.rb:56:in “block (2 levels) in as_taxonomy'
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:143:in “as_location'
/usr/share/foreman/app/models/taxonomy.rb:55:in “block in as_taxonomy'
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:108:in ‘“as_org'
/usr/share/foreman/app/models/taxonomy.rb:54:in "“as_taxonomy'

/usr/share/foreman/app/views/hosts/_form.html.erb:5:in ~_app_views_hosts__form_html_erb_ 107435089
1500395035_80027220"

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:145:in “bloc
k in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1
25:1in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:143:in "rend
er'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:265:in "render_partial’

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:238:in "block in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_render
er.rb:38:in "block in instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1
23:in "block in instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications/inst
rumenter.rb:20:1in "~ instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1
23:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_render
er.rb:38:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:237:in "render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/renderer.rb:41:
in “render_partial'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/renderer.rb:15:
in "“render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1ib/action_view/helpers/rendering_helper
.rb:24:in "render'

/usr/share/foreman/app/views/hosts/new.html.erb:7:in °~_app_views_hosts_new_html_erb_ 8879122910554
85678_79963100"

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:145:in “bloc
k in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1
25:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:143:in "rend
er'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/template_render
er.rb:47:in “block (2 levels) in render_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_render
er.rb:38:in “block in instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1
23:in "block in instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications/inst
rumenter.rb:20:in "~ instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1
23:in "instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_render
er.rb:38:in "“instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/template_render
er.rb:46:in "block in render_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/template_render
er.rb:54:in “render_with_layout'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

er.rb:45:in ‘render_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

er.rb:18:in "~ render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

in “render_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

in “render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

:in ' _render_template’

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

:225:in " _render_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

:in “render_to_body'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

:28:in " render_to_body'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

y.rb:50:in "~ render_to_body'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

in “render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

:16:1in “render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

.8/1lib/action_view/renderer/template_render

.8/1lib/action_view/renderer/template_render

.8/1lib/action_view/renderer/renderer.rb:36:

.8/1lib/action_view/renderer/renderer.rb:17:

.8/1lib/abstract_controller/rendering.rb:110

.8/1lib/action_controller/metal/streaming.rb

.8/1lib/abstract_controller/rendering.rb:103

.8/1lib/action_controller/metal/renderers.rb

.8/1lib/action_controller/metal/compatibilit

.8/1lib/abstract_controller/rendering.rb:88:

.8/1lib/action_controller/metal/rendering.rb

.8/1lib/action_controller/metal/instrumentat

ion.rb:40:in “block (2 levels) in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/core_ext/benchmark
.rb:5:1in “block in ms'

/opt/rh/rubyl93/root/usr/share/ruby/benchmark.rb:295:in “realtime'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/core_ext/benchmark
.rb:5:in "ms'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentat
ion.rb:40:in “block in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentat
ion.rb:83:in ‘cleanup_view_runtime'

/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/railties/controller_
runtime.rb:24:1in “cleanup_view_runtime'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentat
ion.rb:39:in "render'

/usr/share/foreman/app/controllers/hosts_controller.rb:82:in “clone'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/implicit_ren
der.rb:4:in "send_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/base.rb:167:1in
process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/rendering.rb
:10:in “process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/callbacks.rb:18:
in "block in process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:538:1i
n "block (3 levels) in _run__840675064421425576__process_action__3729747197193458588__callbacks'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:215:1
n “block in _conditional_callback_around_5380"

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:326:1
n “around'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:310:1i
n ' _callback_around_813"

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:214:1
n ~_conditional_ callback_around_5380"

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:526:1i
n "block (2 levels) in _run__ 840675064421425576__process_action__ 3729747197193458588__callbacks'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:215:1
n "block in _conditional_callback_around_5379'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:33:in “clear_thread’

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:214:1i
n ' _conditional_callback_around_5379"'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:415:1
n "block in _run__ 840675064421425576__process_action__3729747197193458588__callbacks'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:215:1i
n “block in _conditional_callback_around_5378'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:326:1i
n “around'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:310:1
n ~_callback_around_13"'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:214:1
n ' _conditional_callback_around_5378"

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:414:1i
n ~_run__840675064421425576__process_action_ 3729747197193458588__callbacks'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:405:1
n ~__ _run_callback'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:385:1i
n ' _run_process_action_callbacks'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:81:in
“run_callbacks'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/callbacks.rb:17:
in “process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/rescue.rb:29
:in “process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentat
ion.rb:30:in “block in process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1
23:in "block in instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications/inst
rumenter.rb:20:1in "~ instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1
23:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentat
ion.rb:29:in “process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/params_wrapp
er.rb:207:in "“process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1ib/active_record/railties/controller_
runtime.rb:18:in “process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/base.rb:121:in
process'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/rendering.rb:45:
in “process'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal.rb:203:in d
ispatch'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_controller/metal/rack_delegat
ion.rb:14:in “dispatch'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal.rb:246:in b
lock in action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/routing/route_set.rb
:73:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/routing/route_set.rb
:73:in “dispatch'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/routing/route_set.rb
:36:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/journey-1.0.4/1ib/journey/router.rb:68:in ‘block in call'
/opt/rh/rubyl93/root/usr/share/gems/gems/journey-1.0.4/1ib/journey/router.rb:56:in "each'
/opt/rh/rubyl93/root/usr/share/gems/gems/journey-1.0.4/1ib/journey/router.rb:56:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/routing/route_set.rb
:600:in “call’

/opt/rh/rubyl93/root/usr/share/gems/gems/apipie-rails-0.0.23/1ib/apipie/static_dispatcher.rb:56:in
‘call!

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1ib/action_dispatch/middleware/best_stan
dards_support.rb:17:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/etag.rb:23:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack—-1.4.1/1lib/rack/conditionalget.rb:25:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_dispatch/middleware/head.rb:1
4:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/params_pa
rser.rb:21l:in “call’
/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/flash.rb:
242:in "call’

/opt/rh/rubyl93/root/usr/share/gems/gems/rack—-1.4.1/1ib/rack/session/abstract/id.rb:205:in " contex
tl

/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/session/abstract/id.rb:200:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/cookies.r
b:339:in “call’

/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/query_cache.rb:64:in
‘call!

/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/connection_adapters/
abstract/connection_pool.rb:473:in ‘call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_dispatch/middleware/callbacks
.rb:28:in “block in call'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:405:1
n ~_run__ 488456673182465078__call_ _4018685301257612915__callbacks'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:405:1
n ~_ _run_callback'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:385:1i
n “_run_call_callbacks'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:81:in
“run_callbacks'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/callbacks
.rb:27:in “call’

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_dispatch/middleware/remote_ip
.rb:31:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/debug_exc
eptions.rb:16:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/show_exce
ptions.rb:56:in “call’

/opt/rh/rubyl93/root/usr/share/gems/gems/railties—-3.2.8/1lib/rails/rack/logger.rb:26:in ‘call_app'
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2.8/1lib/rails/rack/logger.rb:16:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/request_i
d.rb:22:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/methodoverride.rb:21:in ‘call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/runtime.rb:17:in ‘call’

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/cache/strategy/loc
al _cache.rb:72:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/lock.rb:15:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1ib/action_dispatch/middleware/static.rb
:62:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/rack—-cache-1.2/1ib/rack/cache/context.rb:136:in "~ forward'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-cache-1.2/1lib/rack/cache/context.rb:245:in " fetch'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-cache-1.2/1ib/rack/cache/context.rb:185:in " lookup'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-cache-1.2/1lib/rack/cache/context.rb:66:in “call!"’
/opt/rh/rubyl93/root/usr/share/gems/gems/rack—-cache-1.2/1ib/rack/cache/context.rb:51:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2.8/1lib/rails/engine.rb:479:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/railties—-3.2.8/1lib/rails/application.rb:223:in “call’

/opt/rh/rubyl93/root/usr/share/gems/gems/railties—-3.2.8/1lib/rails/railtie/configurable.rb:30:in "m
ethod_missing'

/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/builder.rb:134:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/urlmap.rb:64:in "block in call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/urlmap.rb:49:in "“each'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/urlmap.rb:49:in “call’

/usr/lib/ruby/gems/1.8/gems/passenger—-4.0.5/1ib/phusion_passenger/rack/thread_handler_extension.rb
:77:in “process_request'

/usr/lib/ruby/gems/1.8/gems/passenger—4.0.5/1ib/phusion_passenger/request_handler/thread_handler.r
b:140:in "“accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger—4.0.5/1ib/phusion_passenger/request_handler/thread_handler.r
b:108:in "main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger—-4.0.5/1ib/phusion_passenger/request_handler.rb:441:in “block
(3 levels) in start_threads'

Rendered common/500.html.erb within layouts/application (4.8ms)
Rendered layouts/base.html.erb (1.3ms)

Completed 500 Internal Server Error in 22588ms (Views: 8.1lms | ActiveRecord: 17.8ms)

Associated revisions

Revision cdbbf1c2 - 03/07/2014 02:10 PM - James Jenkins

fixes #4485 prevents undefined method when cloning a host

Revision €7955427 - 03/12/2014 10:42 AM - James Jenkins

fixes #4485 prevents undefined method when cloning a host

(cherry picked from commit cdbbf1c231c9148d2b6ed2520920a8676¢c176702)

History

#1 - 02/27/2014 09:37 PM - James Jenkins

pull requst created:

https://github.com/theforeman/foreman/pull/1262

#2 - 02/28/2014 08:52 AM - Dominic Cleal

- Description updated

- Status changed from New to Ready For Testing
- Assignee set to James Jenkins

- Target version set to 1.9.1

- translation missing: en.field_release deleted (7)
https://github.com/theforeman/foreman/pull/1262

#3 - 03/03/2014 12:52 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#4 - 03/07/2014 02:10 PM - Dominic Cleal

- translation missing: en.field_release set to 7

#5 - 03/07/2014 02:31 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset cdbbf1c231c9148d2b6ed252d920a8676c176702.
